Skip to main content
POST
/
business_entities
Create a business entity
curl --request POST \
  --url https://sandbox.nmbr.co/services/payroll/business_entities \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "business_number": "136549169RP9916",
  "name": "Bobs Burgers (#39616)",
  "address_line_1": "13 Fake Street",
  "city": "Toronto",
  "province_code": "ON",
  "country_code": "CA",
  "postal_code": "M1M1M1",
  "contact_name": "Jean Smith",
  "contact_email": "smith@company.com",
  "contact_area_code": "111",
  "contact_phone_number": "2223333",
  "pay_day_movement_setting": "inherit",
  "vacation_pay_formula_setting": "pay_date",
  "remitter_type": "regular",
  "external_ref": "<external_reference>",
  "preferred_locale": "en",
  "resolve_journal_entry_stat_withholdings": true,
  "tax_properties": [
    {
      "type": "ca::province_of_employment",
      "value": "ca_on",
      "effective_from": "2026-01-01",
      "effective_to": null,
      "note": null
    }
  ]
}
'
{
  "id": "<id>",
  "object": "business_entity",
  "data": {
    "business_number": "136549169RP9916",
    "name": "Bobs Burgers (#39616)",
    "legal_name": null,
    "legal_registration_number": null,
    "address_line_1": "13 Fake Street",
    "address_line_2": null,
    "city": "Toronto",
    "in_preview": false,
    "province_code": "ON",
    "country_code": "CA",
    "postal_code": "M1M1M1",
    "contact_name": "Jean Smith",
    "contact_email": "smith@company.com",
    "contact_area_code": "111",
    "contact_phone_number": "2223333",
    "contact_extension": null,
    "pay_day_movement_setting": "inherit",
    "vacation_pay_formula_setting": "pay_date",
    "remitter_type": "regular",
    "status": "onboarding",
    "company": {
      "id": "<id>",
      "object": "company",
      "links": {
        "self": "/companies/<id>"
      }
    },
    "warnings": {
      "object": "list",
      "data": [
        {
          "object": "warning",
          "data": {
            "namespace": "onboarding",
            "type": "business_legal_information_not_provided"
          }
        },
        {
          "object": "warning",
          "data": {
            "namespace": "onboarding",
            "type": "bank_account_doesnt_exists"
          }
        },
        {
          "object": "warning",
          "data": {
            "namespace": "onboarding",
            "type": "bank_account_pad_not_signed"
          }
        }
      ]
    },
    "external_ref": "<external_reference>",
    "available_tax_properties": [
      "ca::tax_id",
      "ca::qc::tax_id",
      "ca::province_of_employment",
      "ca::federal_oc_surtax_exempt",
      "ca::on::eht",
      "ca::mb::eht",
      "ca::nl::eht",
      "ca::bc::eht",
      "ca::qc::eht"
    ],
    "effective_processing_speed": "three_day",
    "processing_speed": "inherit",
    "has_bank_accounts": false,
    "has_pay_schedules": false,
    "has_payrolls": false,
    "current_tax_jurisdiction": "ca_on",
    "ca_settings": {
      "roe_submission_setting": "manual"
    },
    "accounting_settings": {
      "default_bank_accounting_code": null,
      "default_payroll_payable_accounting_code": null,
      "resolve_journal_entry_stat_withholdings": true,
      "primary_tag_group": null,
      "block_approval_on_incomplete_journal_entries": false,
      "block_approval_on_missing_export_identifiers": false
    },
    "default_bank_accounting_code": null,
    "default_payroll_payable_accounting_code": null,
    "preferred_locale": {
      "id": "<id>",
      "object": "locale",
      "data": {
        "label": "English"
      }
    },
    "hold_funding_for_verification": false,
    "resolve_journal_entry_stat_withholdings": true,
    "primary_tag_group": null,
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-01T00:00:00.000000Z"
  },
  "links": {
    "self": "/business_entities/<id>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required

The business entity's operating or trade name.

Maximum string length: 255
business_number
string

The Canada Revenue Agency (CRA) Business Number (BN) for this business entity, used to identify the business for payroll tax remittances.

The business entity's registered legal name.

Maximum string length: 255

The provincial business registration number.

Maximum string length: 255
address_line_1
string

The first line of the business entity's mailing address. This character limit (30) is set by government reporting requirements, not application-level validation.

Maximum string length: 30
address_line_2
string

The second line of the business entity's mailing address. This character limit (30) is set by government reporting requirements, not application-level validation.

Maximum string length: 30
city
string

The city of the business entity's mailing address.

Maximum string length: 28
province_code
string | null

The province code for the business entity's mailing address.

A province must be provided when creating a business entity in Canada.

In Canada, must be an uppercase 2-letter province code: AB, BC, MB, NB, NL, NS, NT, NU, ON, PE, QC, SK, YT

country_code
string

The country code for the business entity's mailing address.

Must be an uppercase 2-letter country code (ISO 3166-1 alpha-2, e.g., CA).

postal_code
string

The postal code for the business entity's mailing address.

Maximum string length: 10
contact_name
string

The name of the primary contact at the business entity.

Maximum string length: 255
contact_email
string

The email address of the primary contact at the business entity.

contact_area_code
string | null

The area code for the primary contact's phone number.

contact_phone_number
string | null

The primary contact's phone number, excluding area code.

contact_extension
string

The extension for the primary contact's phone number.

Maximum string length: 5
pay_day_movement_setting
enum<string>

The business entity-level setting for how pay dates are adjusted when they fall on a weekend or bank holiday. If set to inherit, the Company's setting is used.

Available options:
inherit,
next_business_day,
previous_business_day
vacation_pay_formula_setting
enum<string>

The formula used to calculate vacation pay for Employees in this business entity.

Available options:
pay_date,
period_end,
period_start
remitter_type
enum<string>

The Canada Revenue Agency (CRA) remitter type, which determines the frequency of payroll tax remittances to the CRA.

Available options:
accelerated_threshold_1,
accelerated_threshold_2,
quarterly,
regular
in_preview
boolean

When true, the business entity is in preview mode. In preview mode, Payrolls can be run and approved but no real money movement occurs.

external_ref
string
Maximum string length: 255
preferred_locale
enum<string>

The locale used for payroll communications sent to Employees and Contractors within this business entity. If not set, the Company's locale is used.

Available options:
en,
fr
hold_funding_for_verification
boolean
resolve_journal_entry_stat_withholdings
boolean
accounting_settings
object
tax_properties
object[]

Response

201 - application/json

Created

id
string
read-only

The unique identifier of the object in Nmbr.

object
string
read-only

The type of the object in Nmbr ("business_entity").

data
Business Entity · object